# NLS

[[_TOC_]]

# Installation

## Docker

First copy `nls-X.Y.Z-bios.zip` to `/opt/nls-X.Y.Z-bios.zip` with SFTP/SSH.

```shell
# set version
export VERSION=3.4.1
# extract archive
unzip nls-$VERSION-bios.zip
# goto directory
cd nls-$VERSION-bios
```

Import Images into Docker:

```shell
# appliance
docker load --input dls_appliance_$VERSION.tar.gz
# postgres
docker load --input dls_pgsql_$VERSION.tar.gz
# upgrade-image
docker load --input dls_upgrade$VERSION.tar.gz
```

Show images:

```shell
docker image ls
```
